Get orders for a game
curl --request GET \
--url https://api.4casters.io/user/getOrdersForGame \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.4casters.io/user/getOrdersForGame"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.4casters.io/user/getOrdersForGame', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"unmatched": [
{
"id": "<string>",
"txID": "<string>",
"type": "moneyline",
"bet": 123,
"odds": 123,
"spread": 123,
"total": 123,
"participantID": "<string>",
"otherParticipantID": "<string>",
"expiry": "2023-11-07T05:31:56Z",
"filled": 123,
"offered": 123,
"remaining": 123,
"takenRatio": 123,
"createdAt": "2023-11-07T05:31:56Z",
"origin": "<string>",
"graded": true,
"closed": true,
"adminRefund": true,
"userReference": "<string>",
"wagerRequestID": "<string>",
"game": {
"id": "<string>",
"league": "<string>",
"sport": "<string>",
"start": "2023-11-07T05:31:56Z",
"ended": true,
"eventName": "<string>",
"isFutures": true,
"participants": [
{
"id": "<string>",
"longName": "<string>",
"shortName": "<string>",
"homeAway": "home",
"mainPitcher": "<string>",
"rotationNumber": "<string>",
"futuresSide": "<string>",
"score": 123
}
]
}
}
],
"matched": [
{
"id": "<string>",
"txID": "<string>",
"type": "moneyline",
"bet": 123,
"odds": 123,
"spread": 123,
"total": 123,
"OU": "over",
"participantID": "<string>",
"market": "<string>",
"side": "<string>",
"userReference": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"matchedTime": "2023-11-07T05:31:56Z",
"graded": true,
"closed": true,
"origin": "<string>",
"adminRefund": true,
"risk": "<string>",
"win": "<string>",
"game": {
"id": "<string>",
"league": "<string>",
"sport": "<string>",
"start": "2023-11-07T05:31:56Z",
"ended": true,
"eventName": "<string>",
"isFutures": true,
"participants": [
{
"id": "<string>",
"longName": "<string>",
"shortName": "<string>",
"homeAway": "home",
"mainPitcher": "<string>",
"rotationNumber": "<string>",
"futuresSide": "<string>",
"score": 123
}
]
}
}
]
}
}使用者
獲取單場賽事的訂單
列出你在單場賽事上的未成交訂單和已撮合投注
GET
/
user
/
getOrdersForGame
Get orders for a game
對於給定的 4casters 賽事 ID,回傳呼叫方在該賽事上的未成交訂單和已撮合(未結算)投注。此端點不回傳已結算投注 — 請使用 獲取已結算注單。
請求
GET /user/getOrdersForGame
string
必填
4casters 賽事 ID。
curl "https://api.4casters.io/user/getOrdersForGame?gameID=688c0516fbc14da0c202d426" \
-H "Authorization: Bearer YOUR_TOKEN"
回應
示例
{
"data": {
"unmatched": [/* UnmatchedOrder, ... */],
"matched": [/* MatchedBet, ... */]
}
}
錯誤
| 狀態 | 含義 |
|---|---|
404 | gameID 缺失或不是有效的賽事 ID。 |
授權
Pass your auth token in the Authorization header. The Bearer prefix is optional; the server also accepts a signed auth cookie or a token field in the request body.
查詢參數
A 4casters game id (ObjectID). Get game ids from GET /exchange/v2/getGames or GET /exchange/v2/getOrderbook.
回應
Orders and matched bets for the requested game
Show child attributes
Show child attributes
這個頁面有幫助嗎?